package com.yd.dal.mapper.customer.trackvideo;

import com.yd.api.customer.vo.trackvideo.QueryTrackListRequestVO;
import com.yd.dal.entity.customer.trackvideo.AgAclCustomerBehaviorTrackVideo;

import java.util.List;

public interface AgAclCustomerBehaviorTrackVideoMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AgAclCustomerBehaviorTrackVideo record);

    int insertSelective(AgAclCustomerBehaviorTrackVideo record);

    AgAclCustomerBehaviorTrackVideo selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AgAclCustomerBehaviorTrackVideo record);

    int updateByPrimaryKey(AgAclCustomerBehaviorTrackVideo record);
    
    int updateBySerialsNo(AgAclCustomerBehaviorTrackVideo record);

    List<AgAclCustomerBehaviorTrackVideo> selectByRecord(QueryTrackListRequestVO requestVO);
}